#ifndef DECODER
#define DECODER


#define DEBUG       1    // For debugging

#define LEDPIN      13

#define FALSEREAD   10   // Caused when an audio burst, like QRN, generates a short false signal.
#define LCDCOLUMNS  16
#define LCDROWS      2

class Decoder
{
  public:
// ===========================  public Method Prototypes ======================
  void DecoderStartup(int);
  void DecoderPoll();
  void keyIsDown();
  void keyIsUp();
  void shiftBits();
  void printCharacter();
  void printSpace();
  void printPunctuation();
  void DoMyLCD();
// =========================== public Members =================================
  int audioPin;  // Jacks decoder pin
  int audio;            // will store the value we read on this pin
  
  // The place a letter appears here matches myNum that we parsed out of the code
  // #'s are miscopied characters
  char mySet[128];
  char lcdGuy;       // We will store the actual character decoded here
  char lcdBuffer[LCDCOLUMNS + 1];
  
  boolean justDid; // Makes sure we only print one space during long gaps
  boolean characterDone; // A full character has been sent
  boolean ditOrDah;  // We have either a full dit or a full dah
  
  // The following values will auto adjust to the sender's speed
  int averageDah;     // A dah should be 3 times as long as a dit
  int dit;             // We start by defining a dit as 80 milliseconds
  int realDit;
  int myBounce;        // Used as a short delay between key up and down
  int myNum;           // We will turn dits and dahs into a binary number stored here
  
  long downTime;        // How long the tone was on in milliseconds
  long upTime;          // How long the tone was off in milliseconds
  long startDownTime;  // Arduino's internal timer when tone first comes on
  long startUpTime;    // Arduino's internal timer when tone first goes off
   
  private: 

};
#endif


