/******

This code has been modified from the original, adding an additional
switch and removing the "hello world!" text and seconds timer.

******/

/*********************

Example code for the Adafruit RGB Character LCD Shield and Library

This code displays text on the shield, and also reads the buttons on the keypad.
When a button is pressed, the backlight changes color.

**********************/

// include the library code:
#include <Wire.h>
#include <Adafruit_MCP23017.h>
#include <DDSLCDShield.h>

// The shield uses the I2C SCL and SDA pins. On classic Arduinos
// this is Analog 4 and 5 so you can't use those for analogRead() anymore
// However, you can connect other I2C sensors to the I2C bus and share
// the I2C bus.
DDSLCDShield lcd = DDSLCDShield();

// These #defines make it easy to set the backlight color
#define RED 0x1
#define YELLOW 0x3
#define GREEN 0x2
#define TEAL 0x6
#define BLUE 0x4
#define VIOLET 0x5
#define WHITE 0x7

void setup() {
  // Debugging output
  Serial.begin(9600);
  // set up the LCD's number of columns and rows: 
  lcd.begin(16, 2);

  // Print a message to the LCD. We track how long it takes since
  // this library has been optimized a bit and we're proud of it :)
//  int time = millis();
//  lcd.print("Hello, world!");
//  time = millis() - time;
//  Serial.print("Took "); Serial.print(time); Serial.println(" ms");
//  lcd.setBacklight(WHITE);
}

uint8_t i=0;
void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print the number of seconds since reset:
  // lcd.print(millis()/1000);

  uint8_t buttons = lcd.readButtons();

  if (buttons) {
//    lcd.clear();
    lcd.setCursor(0,1);
    if (buttons & BUTTON_UP) {
      lcd.print("MEMORY UP       ");
//      lcd.setBacklight(RED);
    }
    if (buttons & BUTTON_DOWN) {
      lcd.print("BAND DOWN       ");
//      lcd.setBacklight(YELLOW);
    }
    if (buttons & BUTTON_LEFT) {
      lcd.print("MEMORY DOWN     ");
//      lcd.setBacklight(GREEN);
    }
    if (buttons & BUTTON_RIGHT) {
      lcd.print("BAND UP         ");
//      lcd.setBacklight(TEAL);
    }
    if (buttons & BUTTON_FUNC) {
      lcd.print("FUNCTION        ");
//      lcd.setBacklight(VIOLET);
    }
     if (buttons & BUTTON_SELECT) {
      lcd.print("SELECT          ");
//      lcd.setBacklight(VIOLET);
    }
  }
}
