#include "W6DQ_DDS_VFO.h"


static char* modes[] = {"REVIEW","STORE", "BAND UP", "BAND DOWN", "+STEP", "-STEP", "EEPROM", "ERROR"};
//static char* modes[] = {"EEPROM REVIEW","EEPROM STORE", "BAND UP", "BAND DOWN", "+STEP -->", "-STEP -->", "EEPROM", "    ERROR"};
//static char* bands[] = {"10m ", "12m ", "15m ", "17m ", "20m ", "30m ", "40m ", "80m ", "160m"};
static byte bands[] = {10, 12, 15, 17, 20, 30, 40, 80, 160};

w6dqDDSVFO::w6dqDDSVFO():currentIndex(6), currentIncrementIndex(0)
{
  highestBandIndex = sizeof(bands) / sizeof(byte) - 1;
}

w6dqDDSVFO::w6dqDDSVFO(int band):currentIndex(6), currentIncrementIndex(0)
{
  currentIndex = band;
}

char* w6dqDDSVFO::getBandString(char *temp)
{
  itoa((int)bands[currentIndex], temp, 10);
  strcat(temp, "m");
  return temp;
}

char* w6dqDDSVFO::getModeString()
{
  return modes[currentModeIndex];
}

char* w6dqDDSVFO::changeBand(int button, char result[])
{
  if (button == BANDUP) {
    if (currentIndex > 0) {   // make sure index isn't 0
      currentIndex--;
    } else {
      currentIndex = highestBandIndex;
    }
  } else {
    if (currentIndex < highestBandIndex) {   // make sure index isn't 0
      currentIndex++;
    } else {
      currentIndex = 0;
    }
  }
  return getBandString(result);
}


int w6dqDDSVFO::changeIncrement(int button, int highestBandIndex)
{
  if (button == INCREMENTUP) {
    if (currentIncrementIndex > 0)    // make sure index isn't 0
      currentIncrementIndex--;
  } else {
    if (currentIncrementIndex < highestBandIndex)    // make sure index isn't 0
      currentIncrementIndex++;
  }
  return currentIncrementIndex;  
}

