#ifndef W6DQ_DDS_VFO
#define W6DQ_DDS_VFO

#if (ARDUINO <  100)
#include <WProgram.h>
#else
#include <Arduino.h>
#endif

#define REVIEWEEPROMMODE    0
#define STOREEEPROMMODE     1
#define BANDUPMODE          2
#define BANDDOWNMODE        3
#define INCREMENTUPMODE     4
#define INCREMENTDOWNMODE   5
#define ENCODERMODE         6
#define ERRORMODE           7

#define FUNCTION 	    1
#define BANDUP		    2
#define BANDDOWN	    4
#define INCREMENTUP	    8
#define INCREMENTDOWN	   16
#define ENCODER            32

#define BOUNCEDELAY       100

class w6dqDDSVFO
{
  public:
                          // Public member list:
    int currentIndex;              // Actually an index into all message arrays
    int currentModeIndex;
    int currentIncrementIndex;
    int_fast32_t currentFrequencyIncrement;
    
                          // Public method list:
    w6dqDDSVFO();
    w6dqDDSVFO(int band);
    char* changeBand(int button, char r[]);
    char* getBandString(char *);
    int changeIncrement(int button, int incrementTableSize);
    char* getModeString();
   
  private:
    int highestBandIndex;
};

#endif


